Bug 281821 - gimp crashes when all I do is draw a few dots
gimp crashes when all I do is draw a few dots
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
rawhide
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-06 23:50 EDT by Jonathan Kamens
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-03 00:40:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2007-09-06 23:50:28 EDT
I have gimp-2.4.0-0.rc2.1.fc8 and other current packages from Rawhide.

If I (a) recursively remove ~/.gimp-2.4, (b) launch gimp, (c) select File >
New... and click OK, and (d) start clicking at random points in the window, gimp
crashes within a few clicks and displays this:

Gdk-ERROR **: The program 'gimp' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadWindow (invalid Window parameter)'.
  (Details: serial 60662 error_code 3 request_code 39 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
aborting...
gimp: terminated: Aborted
Comment 1 Jonathan Kamens 2007-09-07 00:01:20 EDT
I don't think this is a gimp problem.  I downgraded to the version of gimp in
Fedora 7 (which required also downgrading gimp-libs, gutenprint, and
gutenprint-plugin), and the problem persists.  I think there must be some other
package in current Rawhide that's causing the problem, but I have no idea what
it is.
Comment 2 Bill Nottingham 2007-09-07 13:45:18 EDT
Here's a trace.

#0  gdk_x_error (display=0xa1eb00, error=0x7fffc26e0830) at gdkmain-x11.c:613
#1  0x00002aaaae75aa4d in _XError (dpy=0xa1eb00, rep=0x1f7a210)
    at XlibInt.c:2905
#2  0x00002aaaae7621d9 in _XReply (dpy=0xa1eb00, rep=0x7fffc26e0934, extra=0,
    discard=0) at xcb_io.c:417
#3  0x00002aaaae740219 in XGetMotionEvents (dpy=0xa1eb00, start=56624219,
    stop=3772239384, w=3772239385, nEvents=0x7fffc26e0a04) at GetMoEv.c:51
#4  0x00002aaaac2625d4 in IA__gdk_device_get_history (
    device=<value optimized out>, window=0x1f60a50, start=3772239384,
    stop=3772239385, events=0x7fffc26e0b10, n_events=0x7fffc26e0b28)
    at gdkinput.c:218
#5  0x000000000046d9eb in gimp_display_shell_canvas_tool_events (
    canvas=0x13c8270, event=0x1f82dc0, shell=0x1b58060)
    at gimpdisplayshell-callbacks.c:1187
#6  0x00002aaaabd84bf1 in _gtk_marshal_BOOLEAN__BOXED (closure=0x1e71c00,
    return_value=0x7fffc26e0d40, n_param_values=<value optimized out>,
    param_values=0x7fffc26e0e40, invocation_hint=<value optimized out>,
    marshal_data=0x46c7f0) at gtkmarshalers.c:84
#7  0x0000003bbac0b169 in IA__g_closure_invoke (closure=0x1e71c00,
    return_value=0x7fffc26e0d40, n_param_values=2,
    param_values=0x7fffc26e0e40, invocation_hint=0x7fffc26e0d00)
    at gclosure.c:490
#8  0x0000003bbac1aa81 in signal_emit_unlocked_R (node=0xa3a400, detail=0,
    instance=0x13c8270, emission_return=0x7fffc26e1060,
    instance_and_params=0x7fffc26e0e40) at gsignal.c:2440
#9  0x0000003bbac1bc9d in IA__g_signal_emit_valist (instance=0x13c8270,
    signal_id=<value optimized out>, detail=0, var_args=0x7fffc26e10c0)
    at gsignal.c:2209
#10 0x0000003bbac1c0a3 in IA__g_signal_emit (instance=0xa1eb00,
    signal_id=3261990960, detail=3772239385) at gsignal.c:2243
#11 0x00002aaaabea6f4e in gtk_widget_event_internal (widget=0x13c8270,
    event=0x1f82dc0) at gtkwidget.c:4674
#12 0x00002aaaabd7c7cc in IA__gtk_propagate_event (widget=0x13c8270,
    event=0x1f82dc0) at gtkmain.c:2317
#13 0x00002aaaabd7d939 in IA__gtk_main_do_event (event=0x1f82dc0)
    at gtkmain.c:1537
#14 0x00002aaaac25b72c in gdk_event_dispatch (source=<value optimized out>,
    callback=<value optimized out>, user_data=<value optimized out>)
    at gdkevents-x11.c:2351
#15 0x0000003bba82ef13 in IA__g_main_context_dispatch (context=0xa2c6b0)
    at gmain.c:2061
#16 0x0000003bba83220d in g_main_context_iterate (context=0xa2c6b0, block=1,
    dispatch=1, self=<value optimized out>) at gmain.c:2694
#17 0x0000003bba83251a in IA__g_main_loop_run (loop=0xb9f770) at gmain.c:2898
#18 0x00000000004279d2 in app_run (full_prog_name=<value optimized out>,
    filenames=0xa191e0, alternate_system_gimprc=0x0, alternate_gimprc=0x0,
    session_name=<value optimized out>, batch_interpreter=0x0,
    batch_commands=0x0, as_new=0, no_interface=0, no_data=0, no_fonts=0,
    no_splash=0, be_verbose=0, use_shm=1, use_cpu_accel=1, console_messages=0,
    use_debug_handler=0, stack_trace_mode=GIMP_STACK_TRACE_NEVER,
    pdb_compat_mode=GIMP_PDB_COMPAT_ON) at app.c:246
#19 0x000000000042882c in main (argc=1, argv=0x7fffc26e15e8) at main.c:385
#20 0x00002aaaae15ed34 in __libc_start_main (main=0x428480 <main>, argc=3,
    ubp_av=0x7fffc26e15e8, init=<value optimized out>,
    fini=<value optimized out>, rtld_fini=<value optimized out>,
    stack_end=0x7fffc26e15d8) at libc-start.c:220
#21 0x00000000004276d9 in _start ()
Comment 3 Bill Nottingham 2007-09-07 13:45:51 EDT
Also, see 274671.
Comment 4 Nils Philippsen 2007-09-08 05:05:28 EDT
Bill, good hint. This looks very similar and like an error in gtk/gdk or X. The
common code path between this bug and bug #274671 is from stack frame #4 on,
i.e. at gdk_device_get_history(). Changing component to gtk2.

Note You need to log in before you can comment on or make changes to this bug.